curl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/users/typeahead \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>"
}
]
}Typeahead search against the first_name and last_name property on Users for a Company.
Note:
filter[iam_roles] array are applied as OR in the querycurl --request GET \
--url https://api.tread-horizon.com/v1/companies/{company-id}/users/typeahead \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Company ID
The maximum number of paginated results to return
x <= 100The cursor to start paginating after
The cursor to stop paginating at
Search string for queries
The IamRoles of the User. Allowed values: platform_admin, company_admin, dispatcher, biller, foreman, driver, it_admin, manager
OK
Show child attributes